# Test: Extra unknown fields in prompts
# Expected: FAIL
# Error code: unrecognized_keys
# Error path: agent.prompts[0]
# Error keys: ["extra_field"]

agent:
  metadata:
    id: extra-prompt-fields
    name: Extra Prompt Fields
    title: Extra Fields
    icon: ❌
    hasSidecar: false

  persona:
    role: Test agent
    identity: Test identity
    communication_style: Test style
    principles:
      - Test principle

  prompts:
    - id: prompt1
      content: Valid content
      description: Valid description
      extra_field: Not allowed

  menu:
    - trigger: help
      description: Show help
      action: display_help
